Get a network pool

GET/v1/network_pools/{network_pool_id}

A GET request to the /v1/network_pools/{network_pool_id} endpoint will display network pool details. Specify the pool in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

network_pool_id*string

A unique identifier of a pool.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/network_pools/5xe7jd7r"
{  "id": "5xe7jd7r",  "title": "CPN",  "cidr": "10.128.0.0/23",  "type": "private",  "location_ids": [    13  ],  "location_codes": [    "location25"  ],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "updated_at": "2026-05-28T06:54:48Z",  "created_at": "2026-05-28T06:54:48Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}